Package com.xebialabs.xlrelease.domain.blackout

## Class BlackoutMetadata

- java.lang.Object
- - com.xebialabs.xlrelease.domain.blackout.BlackoutMetadata

- All Implemented Interfaces:
    `InternalMetadata`, `java.io.Serializable`

      public class BlackoutMetadata
      extends java.lang.Object
      implements InternalMetadata

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BlackoutMetadata​(java.util.List<BlackoutPeriod> periods)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.util.List<BlackoutPeriod>` | `$lessinit$greater$default$1()` |
    `static BlackoutMetadata` | `apply​(java.util.List<BlackoutPeriod> periods)` |
    `static BlackoutMetadata` | `apply​(scala.collection.immutable.Seq<BlackoutPeriod> periods)` |
    `static java.lang.String` | `BLACKOUT()` |
    `static BlackoutMetadata` | `empty()` |
    `java.util.Date` | `getEndOfBlackout​(java.util.Date now)` |
    `boolean` | `isInBlackout​(java.util.Date now)` |
    `static java.util.Date` | `toStartOfNextMinute​(java.util.Date date)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlackoutMetadata

          public BlackoutMetadata​(java.util.List<BlackoutPeriod> periods)

  - ### Method Detail

    - #### $lessinit$greater$default$1

          public static java.util.List<BlackoutPeriod> $lessinit$greater$default$1()

    - #### apply

          public static BlackoutMetadata apply​(java.util.List<BlackoutPeriod> periods)

    - #### apply

          public static BlackoutMetadata apply​(scala.collection.immutable.Seq<BlackoutPeriod> periods)

    - #### empty

          public static BlackoutMetadata empty()

    - #### BLACKOUT

          public static java.lang.String BLACKOUT()

    - #### toStartOfNextMinute

          public static java.util.Date toStartOfNextMinute​(java.util.Date date)

    - #### isInBlackout

          public boolean isInBlackout​(java.util.Date now)

    - #### getEndOfBlackout

          public java.util.Date getEndOfBlackout​(java.util.Date now)